package cz.muni.fi.pb162.transport;


/**
 * Ridic verejneho dopravniho prostredku.
 * 
 * @author Radek Oslejsek
 */

public interface PublicTransportDriver
{
    /**
     * Metoda simuluje zastaveni (na zastavce), kdy
     * vystupuje a nastupuje dany pocet cestujicich.
     * 
     * @param passIn pocet nastupujicich pasazeru
     * @param passOut pocet vystupujicich pasazeru
     * @return pocet pasazeru po odjezdu ze zastavky
     */
    int pickUp(int passIn, int passOut);
}
